Bug 1296557 - libselinux FTBFS during stage1 bootstrap - error: /usr/lib/libc_nonshared.a(stat64.oS) uses VFP register arguments, libselinux.so.1 does not
Summary: libselinux FTBFS during stage1 bootstrap - error: /usr/lib/libc_nonshared.a(s...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libselinux   
(Show other bugs)
Version: 22
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fedora-bootstrap
TreeView+ depends on / blocked
 
Reported: 2016-01-07 14:29 UTC by Jaromír Cápík
Modified: 2016-02-01 02:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 11:10:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libselinux.log (31.14 KB, text/plain)
2016-01-07 14:29 UTC, Jaromír Cápík
no flags Details

Description Jaromír Cápík 2016-01-07 14:29:32 UTC
Created attachment 1112471 [details]
libselinux.log

Description of problem:
During the stage1 bootstrap we're facing FTBFS when the target and builder is armv7hl. The build log is attached.

Version-Release number of selected component (if applicable):
libselinux-2.3-10.fc22

How reproducible:
always

Comment 1 Jaromír Cápík 2016-01-07 14:34:02 UTC
Looking at the koji logs it seems the CONFIG_EXTRA flags containing the FPU settings are not passed to the gcc cli for some reason.

Comment 2 Jaromír Cápík 2016-01-07 15:50:42 UTC
Trying with CFLAGS="${CONFIG_EXTRA}" ...


Note You need to log in before you can comment on or make changes to this bug.